/**
 * Copyright (c) 2007-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.bc.filetransfer;

/**
 * FileTransferConstants.
 * @author Adrien Louis - EBM WebSourcing
 */
public final class FileTransferConstants {

    public final static String FILETRANSFER_SERVICE_NS = "http://petals.ow2.org/components/filetransfer/version-3";

    // Operation
    public final static String DIR_OPERATION = "dir";

    public final static String GET_OPERATION = "get";

    public final static String GET_ATTACHMENT_OPERATION = "getAsAttachment";

    public final static String MGET_OPERATION = "mget";

    public final static String PUT_OPERATION = "put";

    public final static String MPUT_OPERATION = "mput";

    public final static String DEL_OPERATION = "del";

    public final static String CHECK_FILE_OPERATION = "checkFile";

    // the File Transfer mode parameters

    public final static String PARAM_BACKUP_DIRECTORY = "backup-directory";

    public final static String PARAM_FOLDER = "folder";

    public final static String PARAM_BASE_MSG = "base-message";

    public final static String PARAM_FILENAME = "filename";

    public final static String PARAM_POLLING_PERIOD = "polling-period";

    public final static String PARAM_TRANSFER_MODE = "transfer-mode";

    public final static String PARAM_PROCESSOR_POOL_SIZE = "processor-pool-size";

    public final static String PARAM_PROCESSOR_POOL_TIMEOUT = "processor-pool-timeout";

    /**
     * Define the variable used in the base message to insert xop:Include
     * element
     */
    public final static String BASE_MSG_ATTACH_VAR = "$attachment";

    /**
     * Define the variable used in the base message to insert xml file content
     */
    public final static String BASE_MSG_CONTENT_VAR = "$content";

    /**
     * Define the variable used in the service unit to define the transfer mode
     */
    public final static String ENUM_TRANSFER_MODE_ATTACHMENT = "attachment";

    /**
     * Define the variable used in the service unit to define the transfer mode
     */
    public final static String ENUM_TRANSFER_MODE_CONTENT = "content";

    // Default value
    /**
     * Default filename
     */
    public final static String DEFAULT_FILENAME = "content.xml";

    /**
     * Define the maximum number of thread used in the pool for each consume SU
     */
    public final static int DEFAULT_CONSUME_POOL_SIZE = 5;

    /**
     * Define the maximum time to wait before removed idle thread from the pool
     * for each consume SU (ms)
     */
    public final static int DEFAULT_CONSUME_POOL_TIMEOUT = 10000;

    /**
     * Defined the default value for the polling period in ms
     */
    public final static long DEFAULT_POLLING_PERIOD = 1000;

}
