/**
 * Copyright (c) 2011-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.bc.filetransfer;

import org.ow2.petals.component.framework.logger.ConsumeFlowStepBeginLogData;

/**
 * @author Adrien Ruffie - EBM WebSourcing
 */
public class FileTransferConsumeFlowStepBeginLogData extends ConsumeFlowStepBeginLogData {

    private static final long serialVersionUID = 444189588344517657L;

    public static final String FILEPATH_KEY = "filePath";

    public FileTransferConsumeFlowStepBeginLogData(String flowInstanceId, String flowStepId,
            String flowInterfaceName, String flowServiceName, String flowEndpointName,
            String flowOperationName, String filePath) {
        super(flowInstanceId, flowStepId, flowInterfaceName, flowServiceName, flowEndpointName,
                flowOperationName);
        putData(FILEPATH_KEY, filePath);
    }
}
