/**
 * Copyright (c) 2007-2012 EBM WebSourcing, 2012-2013 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see <http://www.gnu.org/licenses/>
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.bc.filetransfer.listeners;

import javax.jbi.messaging.MessagingException;

import org.ow2.petals.bc.filetransfer.service.consume.ExternalEventPoller;
import org.ow2.petals.bc.filetransfer.util.FileTransferUtils;
import org.ow2.petals.component.framework.api.exception.PEtALSCDKException;
import org.ow2.petals.component.framework.listener.AbstractExternalListener;

/**
 * Consume SU Manager.
 * @author Adrien Louis - EBM WebSourcing
 */
public class FileTransferExternalListener extends AbstractExternalListener {

    private ExternalEventPoller poller = null;

    @Override
    public void start() throws PEtALSCDKException {
        try {
            this.poller = new ExternalEventPoller(FileTransferUtils.buildConsumeConfiguration(this
                    .getExtensions()), this);
            this.poller.startPolling();
        } catch (MessagingException e) {
            throw new PEtALSCDKException(e);
        }
    }

    @Override
    public void init() {
    }

    @Override
    public void stop() throws PEtALSCDKException {
        this.poller.stopPolling();
    }
}
